<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="5443198a-da5c-4d85-8c18-51a2a058dbb3" name="Default Changelist" comment="Add binance api library.">
      <change afterPath="$PROJECT_DIR$/.idea/vcs.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/app/src/main/resources/application.properties" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/app/src/main/resources/logback-spring.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/LICENSE" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/README.md" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/build.gradle" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/BinanceApiAsyncRestClient.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/BinanceApiCallback.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/BinanceApiClientFactory.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/BinanceApiError.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/BinanceApiRestClient.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/BinanceApiWebSocketClient.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/constant/BinanceApiConstants.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/ExecutionType.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/OrderRejectReason.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/OrderSide.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/OrderStatus.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/OrderType.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/TimeInForce.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/account/Account.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/account/AssetBalance.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/account/Deposit.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/account/DepositAddress.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/account/DepositHistory.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/account/NewOrder.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/account/NewOrderResponse.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/account/NewOrderResponseType.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/account/Order.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/account/Trade.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/account/TradeHistoryItem.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/account/Withdraw.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/account/WithdrawHistory.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/account/WithdrawResult.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/account/request/AllOrdersRequest.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/account/request/CancelOrderRequest.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/account/request/CancelOrderResponse.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/account/request/OrderRequest.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/account/request/OrderStatusRequest.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/event/AccountUpdateEvent.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/event/AggTradeEvent.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/event/AllMarketTickersEvent.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/event/AssetBalanceDeserializer.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/event/CandlestickEvent.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/event/CandlestickEventDeserializer.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/event/CandlestickEventSerializer.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/event/DepthEvent.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/event/ListenKey.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/event/OrderTradeUpdateEvent.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/event/UserDataUpdateEvent.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/event/UserDataUpdateEventDeserializer.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/general/Asset.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/general/ExchangeFilter.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/general/ExchangeInfo.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/general/FilterType.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/general/RateLimit.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/general/RateLimitInterval.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/general/RateLimitType.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/general/ServerTime.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/general/SymbolFilter.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/general/SymbolInfo.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/general/SymbolStatus.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/market/AggTrade.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/market/BookTicker.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/market/Candlestick.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/market/CandlestickInterval.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/market/OrderBook.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/market/OrderBookEntry.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/market/OrderBookEntryDeserializer.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/market/OrderBookEntrySerializer.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/market/TickerPrice.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/domain/market/TickerStatistics.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/exception/BinanceApiException.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/impl/BinanceApiAsyncRestClientImpl.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/impl/BinanceApiCallbackAdapter.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/impl/BinanceApiRestClientImpl.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/impl/BinanceApiService.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/impl/BinanceApiServiceGenerator.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/impl/BinanceApiWebSocketClientImpl.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/impl/BinanceApiWebSocketListener.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/security/AuthenticationInterceptor.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/security/HmacSHA256Signer.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/test/java/com/binance/api/client/constant/BinanceApiConstantsTest.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/test/java/com/binance/api/client/domain/account/NewOrderResponseTest.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/test/java/com/binance/api/domain/account/WithdrawHistoryDeserializerTest.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/test/java/com/binance/api/domain/event/CandlestickEventDeserializerTest.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/test/java/com/binance/api/domain/event/UserDataUpdateEventDeserializerTest.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/test/java/com/binance/api/domain/general/ExchangeInfoDeserializerTest.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/test/java/com/binance/api/domain/market/CandlestickDeserializerTest.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/test/java/com/binance/api/examples/AccountBalanceCacheExample.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/test/java/com/binance/api/examples/AccountEndpointsExample.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/test/java/com/binance/api/examples/AccountEndpointsExampleAsync.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/test/java/com/binance/api/examples/AggTradesCacheExample.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/test/java/com/binance/api/examples/AllMarketTickersExample.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/test/java/com/binance/api/examples/CandlesticksCacheExample.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/test/java/com/binance/api/examples/DepthCacheExample.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/test/java/com/binance/api/examples/GeneralEndpointsExample.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/test/java/com/binance/api/examples/GeneralEndpointsExampleAsync.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/test/java/com/binance/api/examples/MarketDataEndpointsExample.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/test/java/com/binance/api/examples/MarketDataEndpointsExampleAsync.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/test/java/com/binance/api/examples/MarketDataStreamExample.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/test/java/com/binance/api/examples/OrdersExample.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/test/java/com/binance/api/examples/OrdersExampleAsync.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/binance-api/src/test/java/com/binance/api/examples/UserDataStreamExample.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.gradle/4.10/fileHashes/fileHashes.bin" beforeDir="false" afterPath="$PROJECT_DIR$/.gradle/4.10/fileHashes/fileHashes.bin" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.gradle/4.10/fileHashes/fileHashes.lock" beforeDir="false" afterPath="$PROJECT_DIR$/.gradle/4.10/fileHashes/fileHashes.lock" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/gradle.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/gradle.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/app/build.gradle" beforeDir="false" afterPath="$PROJECT_DIR$/app/build.gradle" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/core/build.gradle" beforeDir="false" afterPath="$PROJECT_DIR$/core/build.gradle" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/settings.gradle" beforeDir="false" afterPath="$PROJECT_DIR$/settings.gradle" afterDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/out/" />
    <ignored path="$PROJECT_DIR$/.gradle/" />
    <ignored path="$PROJECT_DIR$/build/" />
    <ignored path="$PROJECT_DIR$/app/.gradle/" />
    <ignored path="$PROJECT_DIR$/app/build/" />
    <ignored path="$PROJECT_DIR$/app/out/" />
    <ignored path="$PROJECT_DIR$/storage/.gradle/" />
    <ignored path="$PROJECT_DIR$/storage/build/" />
    <ignored path="$PROJECT_DIR$/storage/out/" />
    <ignored path="$PROJECT_DIR$/core/.gradle/" />
    <ignored path="$PROJECT_DIR$/core/build/" />
    <ignored path="$PROJECT_DIR$/core/out/" />
    <ignored path="$PROJECT_DIR$/data-storage/.gradle/" />
    <ignored path="$PROJECT_DIR$/data-storage/build/" />
    <ignored path="$PROJECT_DIR$/data-storage/out/" />
    <ignored path="$PROJECT_DIR$/binance-api/.gradle/" />
    <ignored path="$PROJECT_DIR$/binance-api/build/" />
    <ignored path="$PROJECT_DIR$/binance-api/out/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="DatabaseView">
    <option name="SHOW_INTERMEDIATE" value="true" />
    <option name="GROUP_DATA_SOURCES" value="true" />
    <option name="GROUP_SCHEMA" value="true" />
    <option name="GROUP_CONTENTS" value="false" />
    <option name="SORT_POSITIONED" value="false" />
    <option name="SHOW_EMPTY_GROUPS" value="false" />
    <option name="AUTO_SCROLL_FROM_SOURCE" value="false" />
    <option name="HIDDEN_KINDS">
      <set />
    </option>
    <expand />
    <select />
  </component>
  <component name="ExternalProjectsData">
    <projectState path="$PROJECT_DIR$">
      <ProjectState />
    </projectState>
  </component>
  <component name="ExternalProjectsManager">
    <system id="GRADLE">
      <state>
        <projects_view>
          <tree_state>
            <expand>
              <path>
                <item name="" type="6a2764b6:ExternalProjectsStructure$RootNode" />
                <item name="money-button" type="f1a62948:ProjectNode" />
              </path>
              <path>
                <item name="" type="6a2764b6:ExternalProjectsStructure$RootNode" />
                <item name="money-button" type="f1a62948:ProjectNode" />
                <item name=":app" type="2d1252cf:ModuleNode" />
              </path>
              <path>
                <item name="" type="6a2764b6:ExternalProjectsStructure$RootNode" />
                <item name="money-button" type="f1a62948:ProjectNode" />
                <item name=":app" type="2d1252cf:ModuleNode" />
                <item name="Source Sets" type="e897c970:GradleViewContributor$SourceSetsNode" />
              </path>
              <path>
                <item name="" type="6a2764b6:ExternalProjectsStructure$RootNode" />
                <item name="money-button" type="f1a62948:ProjectNode" />
                <item name=":app" type="2d1252cf:ModuleNode" />
                <item name="Source Sets" type="e897c970:GradleViewContributor$SourceSetsNode" />
                <item name="main" type="396b929e:GradleViewContributor$SourceSetNode" />
              </path>
              <path>
                <item name="" type="6a2764b6:ExternalProjectsStructure$RootNode" />
                <item name="money-button" type="f1a62948:ProjectNode" />
                <item name=":app" type="2d1252cf:ModuleNode" />
                <item name="Source Sets" type="e897c970:GradleViewContributor$SourceSetsNode" />
                <item name="main" type="396b929e:GradleViewContributor$SourceSetNode" />
                <item name="Dependencies" type="6de06a37:ExternalSystemViewDefaultContributor$MyDependenciesNode" />
              </path>
              <path>
                <item name="" type="6a2764b6:ExternalProjectsStructure$RootNode" />
                <item name="money-button" type="f1a62948:ProjectNode" />
                <item name=":app" type="2d1252cf:ModuleNode" />
                <item name="Source Sets" type="e897c970:GradleViewContributor$SourceSetsNode" />
                <item name="test" type="396b929e:GradleViewContributor$SourceSetNode" />
              </path>
              <path>
                <item name="" type="6a2764b6:ExternalProjectsStructure$RootNode" />
                <item name="money-button" type="f1a62948:ProjectNode" />
                <item name=":app" type="2d1252cf:ModuleNode" />
                <item name="Source Sets" type="e897c970:GradleViewContributor$SourceSetsNode" />
                <item name="test" type="396b929e:GradleViewContributor$SourceSetNode" />
                <item name="Dependencies" type="6de06a37:ExternalSystemViewDefaultContributor$MyDependenciesNode" />
              </path>
            </expand>
            <select />
          </tree_state>
        </projects_view>
      </state>
    </system>
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/.gitignore">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="1215">
              <caret line="81" column="12" selection-start-line="81" selection-start-column="12" selection-end-line="81" selection-end-column="12" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/build.gradle">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="356">
              <caret line="33" column="68" selection-start-line="33" selection-start-column="68" selection-end-line="33" selection-end-column="68" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/src/main/resources/application.properties">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="225">
              <caret line="15" column="48" lean-forward="true" selection-start-line="15" selection-start-column="48" selection-end-line="15" selection-end-column="48" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/binance-api/LICENSE">
          <provider selected="true" editor-type-id="text-editor" />
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/src/main/resources/logback-spring.xml">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="-225" />
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$APPLICATION_CONFIG_DIR$/consoles/db/d7175419-3b99-4368-9d18-0e49e62f52b4/console.sql">
          <provider selected="true" editor-type-id="text-editor" />
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/core/build.gradle">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="375">
              <caret line="25" selection-start-line="25" selection-end-line="25" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/binance-api/build.gradle">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="270">
              <caret line="18" column="50" selection-start-line="18" selection-start-column="50" selection-end-line="18" selection-end-column="50" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/impl/BinanceApiService.java">
          <provider selected="true" editor-type-id="text-editor" />
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/build.gradle">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="60">
              <caret line="4" column="16" selection-start-line="4" selection-start-column="16" selection-end-line="4" selection-end-column="16" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/gradle/wrapper/gradle-wrapper.properties" />
        <option value="$PROJECT_DIR$/build.gradle" />
        <option value="$PROJECT_DIR$/storage/build.gradle" />
        <option value="$PROJECT_DIR$/app/src/main/java/ru/titus/app/Application.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/ru/titus/app/configuration/MvcConfig.java" />
        <option value="$PROJECT_DIR$/data-storage/build.gradle" />
        <option value="$PROJECT_DIR$/.gitignore" />
        <option value="$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/impl/BinanceApiService.java" />
        <option value="$PROJECT_DIR$/binance-api/build.gradle" />
        <option value="$PROJECT_DIR$/core/build.gradle" />
        <option value="$PROJECT_DIR$/app/build.gradle" />
        <option value="$PROJECT_DIR$/app/src/test/resources/application.properties" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds">
    <option name="x" value="67" />
    <option name="y" value="1330" />
    <option name="width" value="1853" />
    <option name="height" value="810" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="money-button" type="b2602c69:ProjectViewProjectNode" />
              <item name="money-button" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="PackagesPane" />
      <pane id="Scope" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="DatabaseDriversLRU" value="postgresql" />
    <property name="RequestMappingsPanelOrder0" value="0" />
    <property name="RequestMappingsPanelOrder1" value="1" />
    <property name="RequestMappingsPanelWidth0" value="75" />
    <property name="RequestMappingsPanelWidth1" value="75" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="add_unversioned_files" value="true" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/../crawler" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
  </component>
  <component name="RecentsManager">
    <key name="MoveFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/app/src/main/resources" />
    </key>
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="ru.titus.app" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/app/src/test/resources" />
      <recent name="$PROJECT_DIR$/binance-api/src/main/java" />
      <recent name="$PROJECT_DIR$/binance-api/src/test/java" />
      <recent name="$PROJECT_DIR$/binance-api" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration name="Application" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <module name="ru.titus.app.main" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="ru.titus.app.Application" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="5443198a-da5c-4d85-8c18-51a2a058dbb3" name="Default Changelist" comment="" />
      <created>1550950309738</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1550950309738</updated>
      <workItem from="1550950314189" duration="2759000" />
      <workItem from="1550996691147" duration="6396000" />
    </task>
    <task id="LOCAL-00001" summary="Initial commit.">
      <created>1550952957435</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1550952957435</updated>
    </task>
    <task id="LOCAL-00002" summary="Initial commit.">
      <created>1550953219956</created>
      <option name="number" value="00002" />
      <option name="presentableId" value="LOCAL-00002" />
      <option name="project" value="LOCAL" />
      <updated>1550953219956</updated>
    </task>
    <option name="localTasksCounter" value="3" />
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="9155000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="67" y="1330" width="1853" height="810" extended-state="0" />
    <layout>
      <window_info content_ui="combo" id="Project" order="0" visible="true" weight="0.25290537" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Designer" order="2" />
      <window_info id="UI Designer" order="3" />
      <window_info id="Favorites" order="4" side_tool="true" />
      <window_info id="Learn" order="5" />
      <window_info id="Web" order="6" side_tool="true" />
      <window_info anchor="bottom" id="Messages" weight="0.32937366" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.32937366" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Build" order="7" weight="0.32948583" />
      <window_info anchor="bottom" id="Spring" order="8" />
      <window_info active="true" anchor="bottom" id="Terminal" order="9" visible="true" weight="0.4493392" />
      <window_info anchor="bottom" id="Docker" order="10" show_stripe_button="false" />
      <window_info anchor="bottom" id="Event Log" order="11" side_tool="true" />
      <window_info anchor="bottom" id="Java Enterprise" order="12" />
      <window_info anchor="bottom" id="Database Changes" order="13" />
      <window_info anchor="bottom" id="Version Control" order="14" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Maven" order="3" />
      <window_info anchor="right" id="Palette" order="4" />
      <window_info anchor="right" id="Gradle" order="5" weight="0.32927504" />
      <window_info anchor="right" id="Database" order="6" visible="true" weight="0.32982844" />
      <window_info anchor="right" id="Palette&#9;" order="7" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="Initial commit." />
    <MESSAGE value="Add binance api library." />
    <option name="LAST_COMMIT_MESSAGE" value="Add binance api library." />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/storage/build.gradle" />
    <entry file="file://$PROJECT_DIR$/app/src/main/java/ru/titus/app/Application.java">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/ru/titus/app/configuration/MvcConfig.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="210">
          <caret line="26" column="50" selection-start-line="26" selection-start-column="50" selection-end-line="26" selection-end-column="50" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/settings.gradle">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="90">
          <caret line="7" selection-start-line="7" selection-end-line="7" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/gradle/wrapper/gradle-wrapper.properties">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="45">
          <caret line="3" column="29" selection-start-line="3" selection-start-column="29" selection-end-line="3" selection-end-column="29" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/data-storage/build.gradle">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="300">
          <caret line="20" column="25" selection-start-line="20" selection-start-column="25" selection-end-line="20" selection-end-column="25" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/binance-api/src/test/java/com/binance/api/client/domain/account/NewOrderResponseTest.java">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/binance-api/src/main/java/com/binance/api/client/impl/BinanceApiService.java">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/core/build.gradle">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="375">
          <caret line="25" selection-start-line="25" selection-end-line="25" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/build.gradle">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="60">
          <caret line="4" column="16" selection-start-line="4" selection-start-column="16" selection-end-line="4" selection-end-column="16" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/.gitignore">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1215">
          <caret line="81" column="12" selection-start-line="81" selection-start-column="12" selection-end-line="81" selection-end-column="12" />
        </state>
      </provider>
    </entry>
    <entry file="file://$APPLICATION_CONFIG_DIR$/consoles/db/d7175419-3b99-4368-9d18-0e49e62f52b4/console.sql">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/app/build.gradle">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="356">
          <caret line="33" column="68" selection-start-line="33" selection-start-column="68" selection-end-line="33" selection-end-column="68" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/resources/logback-spring.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-225" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/resources/application.properties">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="225">
          <caret line="15" column="48" lean-forward="true" selection-start-line="15" selection-start-column="48" selection-end-line="15" selection-end-column="48" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/binance-api/LICENSE">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/binance-api/build.gradle">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="270">
          <caret line="18" column="50" selection-start-line="18" selection-start-column="50" selection-end-line="18" selection-end-column="50" />
        </state>
      </provider>
    </entry>
  </component>
</project>